#include <stdio.h>
#include <stdlib.h>

#include "DataPlus.h"

main ()

{
    int result;

    result = DP_open_database ("\\DEASE\\TUTORIAL", 'e');

    if (result < 0)
    {
        printf ("Cannot open the Tutorial database: ");

        if (result == DATABASE_ALREADY_OPEN)
            printf ("A Database has already been opened\n");
        else
        if (result == UNKNOWN_DATABASE)
            printf ("The Database Control File is missing\n");
        else
        if (result == MEMORY_ALLOCATION_FAILURE)
            printf ("Not enough memory for Dictionary\n");
        else
            printf ("A Fatal fault has been detected: %d\n",
                     result);
    }
    else
        printf ("Successful Database Open\n");

    result = DP_user_sign_on ("newuser", "tutor");

    if (result < 0)
    {
        DP_last_perror ("Cannot Sign On the User");

        exit (result);
    }
    else
        printf ("User Signed On\n");

    if (DP_increase_file_handles (50))
        exit (9);

    result = process_form ();

    if (result < 0)
        exit (result);

    result = DP_close_database ();

    if (result < 0)
        DP_last_perror ("Cannot close the Tutorial database");
    else
        printf ("Successful Database Close\n");

    exit (result);
}