#include <stdio.h>
#include <stdlib.h>

#include "DataPlus.h"

process_form ()
{
    int result;

    result = DP_open_form ("INVOICES");

    if (result < 0)
    {
        DP_last_perror ("Cannot open INVOICES");

        return (result);
    }
    else
        printf ("Successful open of INVOICES\n");

    result = DP_open_form ("INVOICE LINE ITEMS");

    if (result < 0)
    {
        DP_last_perror ("Cannot open INVOICE LINE ITEMS");

        return (result);
    }
    else
        printf ("Successful open of INVOICE LINE ITEMS\n");

    result = process_an_invoice ();

    if (result)
        return (result);

    result = DP_close_form ("INVOICES");

    if (result < 0)
    {
        DP_last_perror ("Cannot close INVOICES");

        return (result);
    }
    else
        printf ("Successful close of INVOICES\n");

    result = DP_close_form ("INVOICE LINE ITEMS");

    if (result < 0)
        DP_last_perror ("Cannot close INVOICE LINE ITEMS");
    else
        printf ("Successful close of INVOICE LINE ITEMS\n");

    return (result);
}